package ru.yandex.autotests.direct.steps;

import org.apache.log4j.Logger;
import ru.yandex.autotests.direct.utils.BaseSteps;

/*
* Базовый класс для степов агрегаторов
* Должен использовать все уровни степов
*/
public abstract class BaseDirectSteps extends BaseSteps<DirectSteps> {
    private Logger log;

    protected DirectSteps steps() {
        return getContext();
    }

    protected Logger getLog() {
        if(log == null) {
            log = Logger.getLogger(this.getClass());
        }
        return log;
    }
}
